<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Link Quality</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d3/d4b/group__core-link-quality.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Link Quality<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This module includes definitions for Thread link quality metrics.  
<a href="#details">More...</a></p>
<div class="dynheader">
Collaboration diagram for Link Quality:</div>
<div class="dyncontent">
<center><table><tr><td><img src="../../d3/d4b/group__core-link-quality.png" border="0" alt="" usemap="#d3_2d4b_2group____core-link-quality"/>
<map name="d3_2d4b_2group____core-link-quality" id="d3_2d4b_2group____core-link-quality">
<area shape="rect" id="node2" href="../../d0/de1/group__core.html" title="This module includes the core OpenThread stack. " alt="" coords="5,5,56,31"/>
</map>
</td></tr></table></center>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d38/classThread_1_1LinkQualityInfo.html">Thread::LinkQualityInfo</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class encapsulates/stores all relevant information about quality of a link, including average received signal strength (RSS), link margin and link quality value (value in 0-3).  <a href="../../dd/d38/classThread_1_1LinkQualityInfo.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga327fac3c27070325354e650d4695e230"><td class="memItemLeft" align="right" valign="top">int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4b/group__core-link-quality.html#ga327fac3c27070325354e650d4695e230">Thread::GetAverageNoiseFloor</a> (LinkQualityInfo &amp;aNoiseFloor)</td></tr>
<tr class="memdesc:ga327fac3c27070325354e650d4695e230"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns the current average noise floor level (in dBm).  <a href="../../d3/d4b/group__core-link-quality.html#ga327fac3c27070325354e650d4695e230">More...</a><br /></td></tr>
<tr class="separator:ga327fac3c27070325354e650d4695e230"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6c4f9e7e92b216865dc7c2783bfe9ea5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4b/group__core-link-quality.html#ga6c4f9e7e92b216865dc7c2783bfe9ea5">Thread::AddNoiseFloor</a> (LinkQualityInfo &amp;aNoiseFloor, int8_t aNoise)</td></tr>
<tr class="memdesc:ga6c4f9e7e92b216865dc7c2783bfe9ea5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method adds a new noise floor value (in dBm) to the running average.  <a href="../../d3/d4b/group__core-link-quality.html#ga6c4f9e7e92b216865dc7c2783bfe9ea5">More...</a><br /></td></tr>
<tr class="separator:ga6c4f9e7e92b216865dc7c2783bfe9ea5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3f3a4611a2d5eca6dc77cc8ff49ea64b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4b/group__core-link-quality.html#ga3f3a4611a2d5eca6dc77cc8ff49ea64b">Thread::ClearNoiseFloorAverage</a> (LinkQualityInfo &amp;aNoiseFloor)</td></tr>
<tr class="memdesc:ga3f3a4611a2d5eca6dc77cc8ff49ea64b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method clears the current average noise floor value.  <a href="../../d3/d4b/group__core-link-quality.html#ga3f3a4611a2d5eca6dc77cc8ff49ea64b">More...</a><br /></td></tr>
<tr class="separator:ga3f3a4611a2d5eca6dc77cc8ff49ea64b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>This module includes definitions for Thread link quality metrics. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga6c4f9e7e92b216865dc7c2783bfe9ea5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::AddNoiseFloor </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d38/classThread_1_1LinkQualityInfo.html">LinkQualityInfo</a> &amp;&#160;</td>
          <td class="paramname"><em>aNoiseFloor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int8_t&#160;</td>
          <td class="paramname"><em>aNoise</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method adds a new noise floor value (in dBm) to the running average. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aNoiseFloor</td><td>A reference to the noise state. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aNoise</td><td>A new noise floor value (in dBm) to be added to the average. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/d4b/group__core-link-quality_ga6c4f9e7e92b216865dc7c2783bfe9ea5_cgraph.png" border="0" usemap="#d3/d4b/group__core-link-quality_ga6c4f9e7e92b216865dc7c2783bfe9ea5_cgraph" alt=""/></div>
<map name="d3/d4b/group__core-link-quality_ga6c4f9e7e92b216865dc7c2783bfe9ea5_cgraph" id="d3/d4b/group__core-link-quality_ga6c4f9e7e92b216865dc7c2783bfe9ea5_cgraph">
<area shape="rect" id="node2" href="../../dd/d38/classThread_1_1LinkQualityInfo.html#a45dfdc4409e7f87889b95d445aefcdd9" title="This method adds a new received signal strength (RSS) value to the average. " alt="" coords="213,5,372,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ga3f3a4611a2d5eca6dc77cc8ff49ea64b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::ClearNoiseFloorAverage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d38/classThread_1_1LinkQualityInfo.html">LinkQualityInfo</a> &amp;&#160;</td>
          <td class="paramname"><em>aNoiseFloor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method clears the current average noise floor value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aNoiseFloor</td><td>A reference to the noise state. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/d4b/group__core-link-quality_ga3f3a4611a2d5eca6dc77cc8ff49ea64b_cgraph.png" border="0" usemap="#d3/d4b/group__core-link-quality_ga3f3a4611a2d5eca6dc77cc8ff49ea64b_cgraph" alt=""/></div>
<map name="d3/d4b/group__core-link-quality_ga3f3a4611a2d5eca6dc77cc8ff49ea64b_cgraph" id="d3/d4b/group__core-link-quality_ga3f3a4611a2d5eca6dc77cc8ff49ea64b_cgraph">
<area shape="rect" id="node2" href="../../dd/d38/classThread_1_1LinkQualityInfo.html#a476c18fbd4d727fd09a778bfdc983c86" title="This method clears the all the data in this instance. " alt="" coords="270,5,429,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ga327fac3c27070325354e650d4695e230"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int8_t Thread::GetAverageNoiseFloor </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d38/classThread_1_1LinkQualityInfo.html">LinkQualityInfo</a> &amp;&#160;</td>
          <td class="paramname"><em>aNoiseFloor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns the current average noise floor level (in dBm). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aNoiseFloor</td><td>A reference to the noise state.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The current average noise floor level (in dBm). </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/d4b/group__core-link-quality_ga327fac3c27070325354e650d4695e230_cgraph.png" border="0" usemap="#d3/d4b/group__core-link-quality_ga327fac3c27070325354e650d4695e230_cgraph" alt=""/></div>
<map name="d3/d4b/group__core-link-quality_ga327fac3c27070325354e650d4695e230_cgraph" id="d3/d4b/group__core-link-quality_ga327fac3c27070325354e650d4695e230_cgraph">
<area shape="rect" id="node2" href="../../dd/d38/classThread_1_1LinkQualityInfo.html#a6bb9667b219989c9825d292d6501ac66" title="This method returns the current average signal strength value. " alt="" coords="260,5,419,44"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/d4b/group__core-link-quality_ga327fac3c27070325354e650d4695e230_icgraph.png" border="0" usemap="#d3/d4b/group__core-link-quality_ga327fac3c27070325354e650d4695e230_icgraph" alt=""/></div>
<map name="d3/d4b/group__core-link-quality_ga327fac3c27070325354e650d4695e230_icgraph" id="d3/d4b/group__core-link-quality_ga327fac3c27070325354e650d4695e230_icgraph">
<area shape="rect" id="node2" href="../../dd/d38/classThread_1_1LinkQualityInfo.html#aecb995df780f6eb79a340614e71d1b5c" title="This method converts a received signal strength value to a link margin value. " alt="" coords="260,756,437,795"/>
<area shape="rect" id="node3" href="../../dd/d38/classThread_1_1LinkQualityInfo.html#a756abbb6d5f4d84bfe763559ba3c1c71" title="This method returns the link margin. " alt="" coords="495,637,654,676"/>
<area shape="rect" id="node31" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="1661,687,1875,712"/>
<area shape="rect" id="node41" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1925,484,2141,523"/>
<area shape="rect" id="node43" href="../../dd/d38/classThread_1_1LinkQualityInfo.html#a71ca210fafdcf960124dd2a4b52ea875" title="This method converts a received signal strength value to a link quality value. " alt="" coords="485,903,664,941"/>
<area shape="rect" id="node4" href="../../dd/d38/classThread_1_1LinkQualityInfo.html#a54ec264efb11c7bc2e0b4f2aa73d66d9" title="Returns the current one&#45;way link quality value. " alt="" coords="1689,181,1848,220"/>
<area shape="rect" id="node22" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="712,637,874,676"/>
<area shape="rect" id="node5" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1953,307,2114,345"/>
<area shape="rect" id="node11" href="../../db/dec/group__core-mle-router.html#ga0b12b10b1918482301269a6a124be400" title="This method retains diagnostic information for an attached child by the internal table index..." alt="" coords="1953,56,2114,95"/>
<area shape="rect" id="node15" href="../../db/dec/group__core-mle-router.html#gaf18111d06e517f8e2a2d4a29eabffba0" title="This method retains diagnostic information for a given router. " alt="" coords="2238,5,2400,44"/>
<area shape="rect" id="node17" href="../../db/dec/group__core-mle-router.html#ga0433e0a49c33c2b5734dfaf401e3baa0" title="This method gets the next neighbor information. " alt="" coords="1953,119,2114,157"/>
<area shape="rect" id="node19" href="../../db/dec/group__core-mle-router.html#gaeca704855aa7b2b63c9ad55e11e94954" title="This method fills an ConnectivityTlv. " alt="" coords="1953,181,2114,220"/>
<area shape="rect" id="node21" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1953,244,2114,283"/>
<area shape="rect" id="node6" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2234,297,2404,336"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2515,417,2695,443"/>
<area shape="rect" id="node8" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2772,359,2945,397"/>
<area shape="rect" id="node9" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2817,421,2901,447"/>
<area shape="rect" id="node10" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="3022,488,3178,527"/>
<area shape="rect" id="node12" href="../../d8/dd2/group__diags.html#ga9b5695168596c7ce3be6934e3b37a888" title="The function retains diagnostic information for an attached Child by the internal table index..." alt="" coords="2527,308,2682,333"/>
<area shape="rect" id="node13" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2763,573,2955,612"/>
<area shape="rect" id="node14" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="3003,573,3197,612"/>
<area shape="rect" id="node16" href="../../d8/dd2/group__diags.html#ga9061b62356c4d9810e6d0aaad470ca20" title="The function retains diagnostic information for a given Thread Router. " alt="" coords="2801,196,2917,221"/>
<area shape="rect" id="node18" href="../../d8/dd2/group__diags.html#ga22fa36953c63f5364da72b9acef36f92" title="This function gets the next neighbor information. " alt="" coords="2526,364,2684,389"/>
<area shape="rect" id="node20" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="2191,231,2447,269"/>
<area shape="rect" id="node23" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1688,420,1849,459"/>
<area shape="rect" id="node27" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="922,665,1155,704"/>
<area shape="rect" id="node24" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1951,421,2116,460"/>
<area shape="rect" id="node25" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2237,423,2401,461"/>
<area shape="rect" id="node26" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2249,360,2389,399"/>
<area shape="rect" id="node28" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="2539,739,2670,764"/>
<area shape="rect" id="node29" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="1203,636,1377,675"/>
<area shape="rect" id="node30" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="1425,636,1613,675"/>
<area shape="rect" id="node32" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1938,623,2128,661"/>
<area shape="rect" id="node39" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1923,737,2143,763"/>
<area shape="rect" id="node33" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="2241,687,2398,712"/>
<area shape="rect" id="node35" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="2221,588,2417,613"/>
<area shape="rect" id="node37" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="2208,637,2431,663"/>
<area shape="rect" id="node34" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="2553,687,2656,712"/>
<area shape="rect" id="node36" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="2540,580,2670,605"/>
<area shape="rect" id="node38" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="2550,637,2660,663"/>
<area shape="rect" id="node40" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="2217,736,2421,775"/>
<area shape="rect" id="node42" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="2495,487,2715,512"/>
</map>
</div>
</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
